Ceased Support for Android Instant Apps

We’ll be ending support for Android Instant Apps on March 19, 2021, to ensure that we serve the best Viki experience to our users.

You will be prompted to install the Viki app should you visit Viki.com on an Android web browser. You will also no longer be able to select the ‘Try Now’ feature from the Google Play Store. 


What if I’m seeing a ‘Device is Incompatible’ error message on the Google Play Store?

Due to app compatibility issues, we are unfortunately unable to support issues on older devices that don’t have the current device requirements needed for the app (Android 4.4 or higher and/or iOS 12.0).

There are also 2 other possible reasons why you might not be able to install the app on your device:

  1. Your device is currently not certified by Google. For more information on whether your device is certified, please visit: https://www.android.com/certified/partners/

  2. Your device is rooted and/or does not support DRM playback. 
Was this article helpful?
2 out of 3 found this helpful

Comments

0 comments

Article is closed for comments.